Monday, January 14, 2013

Java 7: Browser vulnerability issue notification

Recently, a vulnerability has been identified in the Java 7 web browser plug-in that could allow third-parties to make unwanted changes on client computers. Oracle plans to release a patch to address this problem on Tuesday, January 15.  In the meantime, it is recommended that you disable Java 7 access to your web browser in order to minimize your exposure by following these steps:

Determine the version of Java you are running (if any)

Determine which version of Java, if any, you are running by browsing to http://www.java.com/en/download/installed.jsp?detect=jre . You can also do this:
  • Windows
    • Open the Control Panel
    • Click Programs → Programs and Features
    • Scroll down to Java to verify the version
  • Mac
    • Open System Preferences
    • Search for Java
    • In the Java Control Panel
      • Select the General tab
      • Click About
      • Verify the version

If you have any version of Java 7…

If you have an older version of Java (Java 6 or before),  this warning does not apply.